
_interrupt:

;main.c,21 :: 		void interrupt() {
;main.c,22 :: 		decodePacket();
	CALL        _decodePacket+0, 0
;main.c,23 :: 		}
L_end_interrupt:
L__interrupt24:
	RETFIE      1
; end of _interrupt

_main:

;main.c,27 :: 		void main() {
;main.c,30 :: 		ANSELA = 0;
	CLRF        ANSELA+0 
;main.c,31 :: 		ANSELB = 0;
	CLRF        ANSELB+0 
;main.c,32 :: 		ANSELC = 0;
	CLRF        ANSELC+0 
;main.c,33 :: 		ANSELD = 0;
	CLRF        ANSELD+0 
;main.c,34 :: 		ANSELE = 0;
	CLRF        ANSELE+0 
;main.c,40 :: 		TRISA = 0;
	CLRF        TRISA+0 
;main.c,41 :: 		TRISB = 0;
	CLRF        TRISB+0 
;main.c,42 :: 		TRISC = 0;
	CLRF        TRISC+0 
;main.c,43 :: 		TRISE = 0;
	CLRF        TRISE+0 
;main.c,45 :: 		TRISD = 0xff;
	MOVLW       255
	MOVWF       TRISD+0 
;main.c,47 :: 		LATA = 0;
	CLRF        LATA+0 
;main.c,48 :: 		LATB = 0;
	CLRF        LATB+0 
;main.c,49 :: 		LATC = 0;
	CLRF        LATC+0 
;main.c,50 :: 		LATE = 0;
	CLRF        LATE+0 
;main.c,52 :: 		modbusSlave(BAUD_115200, 1);
	MOVLW       128
	MOVWF       FARG_modbusSlave_eBaud+0 
	MOVLW       4
	MOVWF       FARG_modbusSlave_eBaud+1 
	MOVLW       1
	MOVWF       FARG_modbusSlave_bytAddress+0 
	CALL        _modbusSlave+0, 0
;main.c,53 :: 		i = 0;
	CLRF        main_i_L0+0 
	CLRF        main_i_L0+1 
;main.c,54 :: 		for( p=0; p<8; p++, i++ ) {
	CLRF        main_p_L0+0 
	CLRF        main_p_L0+1 
L_main0:
	MOVLW       128
	XORWF       main_p_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main26
	MOVLW       8
	SUBWF       main_p_L0+0, 0 
L__main26:
	BTFSC       STATUS+0, 0 
	GOTO        L_main1
;main.c,55 :: 		addCoil(&coils[i], i + 1, &LATB, p);
	MOVLW       7
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        main_i_L0+0, 0 
	MOVWF       R4 
	MOVF        main_i_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       main_coils+0
	ADDWF       R0, 0 
	MOVWF       FARG_addCoil_pCoil+0 
	MOVLW       hi_addr(main_coils+0)
	ADDWFC      R1, 0 
	MOVWF       FARG_addCoil_pCoil+1 
	MOVLW       1
	ADDWF       main_i_L0+0, 0 
	MOVWF       FARG_addCoil_uintAddress+0 
	MOVLW       0
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FARG_addCoil_uintAddress+1 
	MOVLW       LATB+0
	MOVWF       FARG_addCoil_pByte+0 
	MOVLW       hi_addr(LATB+0)
	MOVWF       FARG_addCoil_pByte+1 
	MOVF        main_p_L0+0, 0 
	MOVWF       FARG_addCoil_bBit+0 
	CALL        _addCoil+0, 0
;main.c,54 :: 		for( p=0; p<8; p++, i++ ) {
	INFSNZ      main_p_L0+0, 1 
	INCF        main_p_L0+1, 1 
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;main.c,56 :: 		}
	GOTO        L_main0
L_main1:
;main.c,57 :: 		for( p=0; p<8; p++, i++ ) {
	CLRF        main_p_L0+0 
	CLRF        main_p_L0+1 
L_main3:
	MOVLW       128
	XORWF       main_p_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main27
	MOVLW       8
	SUBWF       main_p_L0+0, 0 
L__main27:
	BTFSC       STATUS+0, 0 
	GOTO        L_main4
;main.c,58 :: 		addCoil(&coils[i], i + 1, &LATC, p);
	MOVLW       7
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        main_i_L0+0, 0 
	MOVWF       R4 
	MOVF        main_i_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       main_coils+0
	ADDWF       R0, 0 
	MOVWF       FARG_addCoil_pCoil+0 
	MOVLW       hi_addr(main_coils+0)
	ADDWFC      R1, 0 
	MOVWF       FARG_addCoil_pCoil+1 
	MOVLW       1
	ADDWF       main_i_L0+0, 0 
	MOVWF       FARG_addCoil_uintAddress+0 
	MOVLW       0
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FARG_addCoil_uintAddress+1 
	MOVLW       LATC+0
	MOVWF       FARG_addCoil_pByte+0 
	MOVLW       hi_addr(LATC+0)
	MOVWF       FARG_addCoil_pByte+1 
	MOVF        main_p_L0+0, 0 
	MOVWF       FARG_addCoil_bBit+0 
	CALL        _addCoil+0, 0
;main.c,57 :: 		for( p=0; p<8; p++, i++ ) {
	INFSNZ      main_p_L0+0, 1 
	INCF        main_p_L0+1, 1 
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;main.c,59 :: 		}
	GOTO        L_main3
L_main4:
;main.c,60 :: 		for( p=0; p<8; p++, i++ ) {
	CLRF        main_p_L0+0 
	CLRF        main_p_L0+1 
L_main6:
	MOVLW       128
	XORWF       main_p_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main28
	MOVLW       8
	SUBWF       main_p_L0+0, 0 
L__main28:
	BTFSC       STATUS+0, 0 
	GOTO        L_main7
;main.c,61 :: 		addCoil(&coils[i], i + 1, &LATE, p);
	MOVLW       7
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        main_i_L0+0, 0 
	MOVWF       R4 
	MOVF        main_i_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       main_coils+0
	ADDWF       R0, 0 
	MOVWF       FARG_addCoil_pCoil+0 
	MOVLW       hi_addr(main_coils+0)
	ADDWFC      R1, 0 
	MOVWF       FARG_addCoil_pCoil+1 
	MOVLW       1
	ADDWF       main_i_L0+0, 0 
	MOVWF       FARG_addCoil_uintAddress+0 
	MOVLW       0
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FARG_addCoil_uintAddress+1 
	MOVLW       LATE+0
	MOVWF       FARG_addCoil_pByte+0 
	MOVLW       hi_addr(LATE+0)
	MOVWF       FARG_addCoil_pByte+1 
	MOVF        main_p_L0+0, 0 
	MOVWF       FARG_addCoil_bBit+0 
	CALL        _addCoil+0, 0
;main.c,60 :: 		for( p=0; p<8; p++, i++ ) {
	INFSNZ      main_p_L0+0, 1 
	INCF        main_p_L0+1, 1 
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;main.c,62 :: 		}
	GOTO        L_main6
L_main7:
;main.c,63 :: 		i = 0;
	CLRF        main_i_L0+0 
	CLRF        main_i_L0+1 
;main.c,64 :: 		for( p=0; p<8; p++, i++ ) {
	CLRF        main_p_L0+0 
	CLRF        main_p_L0+1 
L_main9:
	MOVLW       128
	XORWF       main_p_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main29
	MOVLW       8
	SUBWF       main_p_L0+0, 0 
L__main29:
	BTFSC       STATUS+0, 0 
	GOTO        L_main10
;main.c,65 :: 		addStatusBit(&statusBits[i], i + 1, &PORTB, p);
	MOVLW       7
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        main_i_L0+0, 0 
	MOVWF       R4 
	MOVF        main_i_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       main_statusBits+0
	ADDWF       R0, 0 
	MOVWF       FARG_addStatusBit_pStatus+0 
	MOVLW       hi_addr(main_statusBits+0)
	ADDWFC      R1, 0 
	MOVWF       FARG_addStatusBit_pStatus+1 
	MOVLW       1
	ADDWF       main_i_L0+0, 0 
	MOVWF       FARG_addStatusBit_uintAddress+0 
	MOVLW       0
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FARG_addStatusBit_uintAddress+1 
	MOVLW       PORTB+0
	MOVWF       FARG_addStatusBit_pByte+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_addStatusBit_pByte+1 
	MOVF        main_p_L0+0, 0 
	MOVWF       FARG_addStatusBit_bBit+0 
	CALL        _addStatusBit+0, 0
;main.c,64 :: 		for( p=0; p<8; p++, i++ ) {
	INFSNZ      main_p_L0+0, 1 
	INCF        main_p_L0+1, 1 
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;main.c,66 :: 		}
	GOTO        L_main9
L_main10:
;main.c,67 :: 		for( p=0; p<8; p++, i++ ) {
	CLRF        main_p_L0+0 
	CLRF        main_p_L0+1 
L_main12:
	MOVLW       128
	XORWF       main_p_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main30
	MOVLW       8
	SUBWF       main_p_L0+0, 0 
L__main30:
	BTFSC       STATUS+0, 0 
	GOTO        L_main13
;main.c,68 :: 		addStatusBit(&statusBits[i], i + 1, &PORTC, p);
	MOVLW       7
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        main_i_L0+0, 0 
	MOVWF       R4 
	MOVF        main_i_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       main_statusBits+0
	ADDWF       R0, 0 
	MOVWF       FARG_addStatusBit_pStatus+0 
	MOVLW       hi_addr(main_statusBits+0)
	ADDWFC      R1, 0 
	MOVWF       FARG_addStatusBit_pStatus+1 
	MOVLW       1
	ADDWF       main_i_L0+0, 0 
	MOVWF       FARG_addStatusBit_uintAddress+0 
	MOVLW       0
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FARG_addStatusBit_uintAddress+1 
	MOVLW       PORTC+0
	MOVWF       FARG_addStatusBit_pByte+0 
	MOVLW       hi_addr(PORTC+0)
	MOVWF       FARG_addStatusBit_pByte+1 
	MOVF        main_p_L0+0, 0 
	MOVWF       FARG_addStatusBit_bBit+0 
	CALL        _addStatusBit+0, 0
;main.c,67 :: 		for( p=0; p<8; p++, i++ ) {
	INFSNZ      main_p_L0+0, 1 
	INCF        main_p_L0+1, 1 
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;main.c,69 :: 		}
	GOTO        L_main12
L_main13:
;main.c,70 :: 		for( p=0; p<8; p++, i++ ) {
	CLRF        main_p_L0+0 
	CLRF        main_p_L0+1 
L_main15:
	MOVLW       128
	XORWF       main_p_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main31
	MOVLW       8
	SUBWF       main_p_L0+0, 0 
L__main31:
	BTFSC       STATUS+0, 0 
	GOTO        L_main16
;main.c,71 :: 		addStatusBit(&statusBits[i], i + 1, &PORTD, p);
	MOVLW       7
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        main_i_L0+0, 0 
	MOVWF       R4 
	MOVF        main_i_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       main_statusBits+0
	ADDWF       R0, 0 
	MOVWF       FARG_addStatusBit_pStatus+0 
	MOVLW       hi_addr(main_statusBits+0)
	ADDWFC      R1, 0 
	MOVWF       FARG_addStatusBit_pStatus+1 
	MOVLW       1
	ADDWF       main_i_L0+0, 0 
	MOVWF       FARG_addStatusBit_uintAddress+0 
	MOVLW       0
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FARG_addStatusBit_uintAddress+1 
	MOVLW       PORTD+0
	MOVWF       FARG_addStatusBit_pByte+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_addStatusBit_pByte+1 
	MOVF        main_p_L0+0, 0 
	MOVWF       FARG_addStatusBit_bBit+0 
	CALL        _addStatusBit+0, 0
;main.c,70 :: 		for( p=0; p<8; p++, i++ ) {
	INFSNZ      main_p_L0+0, 1 
	INCF        main_p_L0+1, 1 
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;main.c,72 :: 		}
	GOTO        L_main15
L_main16:
;main.c,73 :: 		for( p=0; p<8; p++, i++ ) {
	CLRF        main_p_L0+0 
	CLRF        main_p_L0+1 
L_main18:
	MOVLW       128
	XORWF       main_p_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main32
	MOVLW       8
	SUBWF       main_p_L0+0, 0 
L__main32:
	BTFSC       STATUS+0, 0 
	GOTO        L_main19
;main.c,74 :: 		addStatusBit(&statusBits[i], i + 1, &PORTE, p);
	MOVLW       7
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        main_i_L0+0, 0 
	MOVWF       R4 
	MOVF        main_i_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       main_statusBits+0
	ADDWF       R0, 0 
	MOVWF       FARG_addStatusBit_pStatus+0 
	MOVLW       hi_addr(main_statusBits+0)
	ADDWFC      R1, 0 
	MOVWF       FARG_addStatusBit_pStatus+1 
	MOVLW       1
	ADDWF       main_i_L0+0, 0 
	MOVWF       FARG_addStatusBit_uintAddress+0 
	MOVLW       0
	ADDWFC      main_i_L0+1, 0 
	MOVWF       FARG_addStatusBit_uintAddress+1 
	MOVLW       PORTE+0
	MOVWF       FARG_addStatusBit_pByte+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_addStatusBit_pByte+1 
	MOVF        main_p_L0+0, 0 
	MOVWF       FARG_addStatusBit_bBit+0 
	CALL        _addStatusBit+0, 0
;main.c,73 :: 		for( p=0; p<8; p++, i++ ) {
	INFSNZ      main_p_L0+0, 1 
	INCF        main_p_L0+1, 1 
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;main.c,75 :: 		}
	GOTO        L_main18
L_main19:
;main.c,76 :: 		addInputReg(&inputReg[0], 1, &PORTB);
	MOVLW       main_inputReg+0
	MOVWF       FARG_addInputReg_pInput+0 
	MOVLW       hi_addr(main_inputReg+0)
	MOVWF       FARG_addInputReg_pInput+1 
	MOVLW       1
	MOVWF       FARG_addInputReg_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addInputReg_uintAddress+1 
	MOVLW       PORTB+0
	MOVWF       FARG_addInputReg_pWord+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_addInputReg_pWord+1 
	CALL        _addInputReg+0, 0
;main.c,77 :: 		addInputReg(&inputReg[1], 2, &PORTC);
	MOVLW       main_inputReg+6
	MOVWF       FARG_addInputReg_pInput+0 
	MOVLW       hi_addr(main_inputReg+6)
	MOVWF       FARG_addInputReg_pInput+1 
	MOVLW       2
	MOVWF       FARG_addInputReg_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addInputReg_uintAddress+1 
	MOVLW       PORTC+0
	MOVWF       FARG_addInputReg_pWord+0 
	MOVLW       hi_addr(PORTC+0)
	MOVWF       FARG_addInputReg_pWord+1 
	CALL        _addInputReg+0, 0
;main.c,78 :: 		addInputReg(&inputReg[2], 3, &PORTD);
	MOVLW       main_inputReg+12
	MOVWF       FARG_addInputReg_pInput+0 
	MOVLW       hi_addr(main_inputReg+12)
	MOVWF       FARG_addInputReg_pInput+1 
	MOVLW       3
	MOVWF       FARG_addInputReg_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addInputReg_uintAddress+1 
	MOVLW       PORTD+0
	MOVWF       FARG_addInputReg_pWord+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_addInputReg_pWord+1 
	CALL        _addInputReg+0, 0
;main.c,79 :: 		addInputReg(&inputReg[3], 4, &PORTE);
	MOVLW       main_inputReg+18
	MOVWF       FARG_addInputReg_pInput+0 
	MOVLW       hi_addr(main_inputReg+18)
	MOVWF       FARG_addInputReg_pInput+1 
	MOVLW       4
	MOVWF       FARG_addInputReg_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addInputReg_uintAddress+1 
	MOVLW       PORTE+0
	MOVWF       FARG_addInputReg_pWord+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_addInputReg_pWord+1 
	CALL        _addInputReg+0, 0
;main.c,80 :: 		addHoldingReg(&holdingReg[0], 1, &PORTB);
	MOVLW       main_holdingReg+0
	MOVWF       FARG_addHoldingReg_pHolding+0 
	MOVLW       hi_addr(main_holdingReg+0)
	MOVWF       FARG_addHoldingReg_pHolding+1 
	MOVLW       1
	MOVWF       FARG_addHoldingReg_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addHoldingReg_uintAddress+1 
	MOVLW       PORTB+0
	MOVWF       FARG_addHoldingReg_pWord+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_addHoldingReg_pWord+1 
	CALL        _addHoldingReg+0, 0
;main.c,81 :: 		addHoldingReg(&holdingReg[1], 2, &PORTC);
	MOVLW       main_holdingReg+6
	MOVWF       FARG_addHoldingReg_pHolding+0 
	MOVLW       hi_addr(main_holdingReg+6)
	MOVWF       FARG_addHoldingReg_pHolding+1 
	MOVLW       2
	MOVWF       FARG_addHoldingReg_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addHoldingReg_uintAddress+1 
	MOVLW       PORTC+0
	MOVWF       FARG_addHoldingReg_pWord+0 
	MOVLW       hi_addr(PORTC+0)
	MOVWF       FARG_addHoldingReg_pWord+1 
	CALL        _addHoldingReg+0, 0
;main.c,82 :: 		addHoldingReg(&holdingReg[2], 3, &PORTE);
	MOVLW       main_holdingReg+12
	MOVWF       FARG_addHoldingReg_pHolding+0 
	MOVLW       hi_addr(main_holdingReg+12)
	MOVWF       FARG_addHoldingReg_pHolding+1 
	MOVLW       3
	MOVWF       FARG_addHoldingReg_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addHoldingReg_uintAddress+1 
	MOVLW       PORTE+0
	MOVWF       FARG_addHoldingReg_pWord+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_addHoldingReg_pWord+1 
	CALL        _addHoldingReg+0, 0
;main.c,84 :: 		while (1) {
L_main21:
;main.c,85 :: 		}
	GOTO        L_main21
;main.c,86 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
